> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all account transfers

> Searches for transfers. Results include internal account-to-account transfers, onchain deposits, and onchain withdrawals. Use the `source` and `destination` fields on each transfer to determine directionality. Returns up to 50 transfers in descending chronological order or `pageSize`, if provided. If date parameters are omitted, returns the most recent transfers.




## OpenAPI

````yaml openapi/accounts.yaml get /v1/accounts/transfers
openapi: 3.0.2
info:
  version: 1.0.0
  title: Accounts (Stablecoin) API
  description: >
    Circle's Accounts API provides endpoints for managing stablecoin accounts --
    including transfers,

    withdrawals, deposits, wire and ACH bank accounts, and blockchain addresses.


    An **Account** is a general representation of a ledger or custody object
    that holds balances. It can be a business account,

    a stablecoin account ledger for an end user, an extra sub-ledger, or any
    future custody solution.
  license:
    name: Circle License
    url: https://circle.com/terms
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Accounts
    description: Manage accounts.
  - name: Account Groups
    description: Manage custody account groups and their memberships.
  - name: Transactions
    description: |
      Get a unified, customer-friendly view of account transaction activity.
  - name: Transfers
    description: Manage account transfers.
  - name: Withdrawals
    description: Manage account bank withdrawals (fiat offramp).
  - name: Wires
    description: Manage account bank accounts for wire transfers.
  - name: ACH
    description: Manage account bank accounts for ACH transfers.
  - name: Deposits
    description: Get information on account bank deposits.
  - name: Deposit Addresses
    description: Manage account deposit addresses.
  - name: Recipient Addresses
    description: Manage account recipient addresses used for transfers.
paths:
  /v1/accounts/transfers:
    get:
      tags:
        - Transfers
      summary: List all account transfers
      description: >
        Searches for transfers. Results include internal account-to-account
        transfers, onchain deposits, and onchain withdrawals. Use the `source`
        and `destination` fields on each transfer to determine directionality.
        Returns up to 50 transfers in descending chronological order or
        `pageSize`, if provided. If date parameters are omitted, returns the
        most recent transfers.
      operationId: listAccountTransfers
      parameters:
        - $ref: '#/components/parameters/ClientEntityId'
        - $ref: '#/components/parameters/AccountId'
        - $ref: '#/components/parameters/SourceAccountId'
        - $ref: '#/components/parameters/DestinationAccountId'
        - name: sourceType
          description: Filter by source type.
          in: query
          required: false
          schema:
            type: string
            enum:
              - account
              - blockchain
        - name: destinationType
          description: Filter by destination type.
          in: query
          required: false
          schema:
            type: string
            enum:
              - account
              - blockchain
        - $ref: '#/components/parameters/From'
        - $ref: '#/components/parameters/To'
        - $ref: '#/components/parameters/PageBefore'
        - $ref: '#/components/parameters/PageAfter'
        - $ref: '#/components/parameters/PageSize'
      responses:
        '200':
          description: Successfully retrieved a list of transfers.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListAccountTransfersResponse'
        '401':
          $ref: '#/components/responses/NotAuthorized'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - bearerAuth: []
components:
  parameters:
    ClientEntityId:
      name: clientEntityId
      description: >-
        Identifier of the client entity. Filters results to fetch only resources
        associated with the specified client entity.
      in: query
      required: false
      schema:
        type: string
        format: uuid
        example: a3f1b2c4-d5e6-7890-abcd-ef1234567890
    AccountId:
      name: accountId
      description: >-
        Identifier of the account. Filters results to fetch only resources
        associated with the specified account.
      in: query
      required: false
      schema:
        type: string
        example: '1000565227'
    SourceAccountId:
      name: sourceAccountId
      description: >-
        Identifier of the source account. Filters transfers to those originating
        from the specified account.
      in: query
      required: false
      schema:
        type: string
        example: '1000565227'
    DestinationAccountId:
      name: destinationAccountId
      description: >-
        Identifier of the destination account. Filters transfers to those sent
        to the specified account.
      in: query
      required: false
      schema:
        type: string
        example: '1000565227'
    From:
      name: from
      description: >-
        Queries items created since the specified date-time (inclusive) in ISO
        8601 format.
      in: query
      required: false
      schema:
        $ref: '#/components/schemas/UtcTimestamp'
    To:
      name: to
      description: >-
        Queries items created before the specified date-time (inclusive) in ISO
        8601 format.
      in: query
      required: false
      schema:
        $ref: '#/components/schemas/UtcTimestamp'
    PageBefore:
      name: pageBefore
      description: >-
        A collection ID value used for pagination. It marks the exclusive end of
        a page. When provided, the collection resource will return the next `n`
        items before the id, with `n` being specified by `pageSize`.
      in: query
      required: false
      schema:
        type: string
        example: def9520a-5280-4089-9b02-3c9ef8fc8514
    PageAfter:
      name: pageAfter
      description: >-
        A collection ID value used for pagination. It marks the exclusive
        beginning of a page. When provided, the collection resource will return
        the next `n` items after the id, with `n` being specified by `pageSize`.
      in: query
      required: false
      schema:
        type: string
        example: bce1e961-bdb8-4983-a9c2-0b3fbc2614cf
    PageSize:
      name: pageSize
      description: >
        Limits the number of items to be returned.


        Some collections have a strict upper bound that will disregard this
        value. In case the specified value is higher

        than the allowed limit, the collection limit will be used.


        If omitted, the collection will determine the page size itself.
      in: query
      required: false
      schema:
        type: integer
        minimum: 1
        example: 5
  headers:
    XRequestId:
      description: >
        Circle-generated universally unique identifier (UUID v4). Useful for
        identifying a specific request when communicating with Circle Support.
      schema:
        $ref: '#/components/schemas/XRequestId'
  schemas:
    ListAccountTransfersResponse:
      title: ListAccountTransfersResponse
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Transfer'
    UtcTimestamp:
      type: string
      description: ISO-8601 UTC date/time format.
      example: '2020-04-10T02:13:30.000Z'
    XRequestId:
      type: string
      format: uuid
      example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
    Transfer:
      type: object
      description: A transfer of funds.
      required:
        - id
        - source
        - destination
        - amount
        - status
      properties:
        id:
          $ref: '#/components/schemas/Id'
        source:
          $ref: '#/components/schemas/TransferSourceLocation'
        destination:
          $ref: '#/components/schemas/TransferDestinationLocation'
        amount:
          $ref: '#/components/schemas/Money'
        fees:
          description: >-
            An array of fees applied to a transaction. This is only available
            when there is at least one non-zero fee.
          type: array
          items:
            $ref: '#/components/schemas/Fee'
        transactionHash:
          description: >-
            A hash that uniquely identifies the onchain transaction. This is
            only available where either source or destination is of type
            blockchain.
          type: string
          example: '0x4cebf8f90c9243a23c77e4ae20df691469e4b933b295a73376292843968f7a63'
        status:
          description: Status of the transfer.
          type: string
          enum:
            - pending
            - complete
            - failed
        errorCode:
          $ref: '#/components/schemas/TransferErrorCode'
        policyEvaluation:
          $ref: '#/components/schemas/PolicyEvaluation'
        createDate:
          description: The create date of the transfer.
          type: string
          format: date-time
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: integer
          description: >
            Circle internal status code from the platform `CoreStatusCode` enum
            (and its domain-specific extensions). **This is not the HTTP status
            code** — `-1` is the catch-all unknown error, `1`/`2` indicate API
            parameter problems, `3` is forbidden, `4` is unauthorized, and
            larger values identify domain-specific failures. Consumers should
            rely on the HTTP status line for transport-level error class and on
            this field for the specific Circle error case.
          example: 2
        message:
          type: string
          description: >-
            Internal error message; suitable for logging but not for end-user
            display.
          example: API parameter invalid.
        externalMessage:
          type: string
          description: >
            End-user-displayable error message. Present when the server has
            generated a customer-facing variant for this error; omitted
            otherwise.
          example: The provided amount exceeds the maximum allowed.
    Id:
      type: string
      description: Unique system-generated identifier for the entity.
      format: uuid
      example: b8627ae8-732b-4d25-b947-1df8f4007a29
    TransferSourceLocation:
      description: A source of funds.
      oneOf:
        - $ref: '#/components/schemas/TransferSourceAccountLocation'
        - $ref: '#/components/schemas/TransferSourceBlockchainLocation'
    TransferDestinationLocation:
      description: A destination of funds.
      oneOf:
        - $ref: '#/components/schemas/TransferDestinationBlockchainLocation'
        - $ref: '#/components/schemas/TransferDestinationAccountLocation'
    Money:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          type: string
          description: Magnitude of the amount, in units of the currency, with a `.`.
          example: '3.14'
        currency:
          type: string
          description: Currency code for the amount.
          example: USD
          enum:
            - USD
            - EUR
    Fee:
      type: object
      required:
        - amount
        - currency
        - type
      properties:
        amount:
          type: string
          description: Magnitude of the fee amount, in units of the currency, with a `.`.
          example: '10.00'
        currency:
          type: string
          description: Currency code for the amount.
          enum:
            - USD
        type:
          type: string
          description: Category of the fee.
          enum:
            - network
    TransferErrorCode:
      type: string
      description: >-
        Indicates the failure reason of a transfer. Only present for transfers
        in a `failed` state.
      nullable: true
      enum:
        - transfer_failed
        - transfer_denied
        - blockchain_error
        - insufficient_funds
        - invalid_crypto_address
    PolicyEvaluation:
      type: object
      description: >-
        Results of policy evaluation. Only present if a policy decision has been
        recorded.
      nullable: true
      required:
        - status
      properties:
        status:
          description: Status of the policy evaluation.
          type: string
          enum:
            - approved
            - pending
            - rejected
            - expired
            - cancelled
            - failed
          example: approved
    TransferSourceAccountLocation:
      description: A source account location.
      type: object
      required:
        - type
        - id
      properties:
        type:
          type: string
          enum:
            - account
        id:
          type: string
          description: The identifier of the source account.
          example: '1000662322'
    TransferSourceBlockchainLocation:
      description: >-
        A source blockchain location. Only present in transfer responses, not
        accepted in transfer creation requests.
      type: object
      required:
        - type
        - chain
      properties:
        type:
          type: string
          enum:
            - blockchain
        chain:
          $ref: '#/components/schemas/Chain'
    TransferDestinationBlockchainLocation:
      description: A destination blockchain address.
      type: object
      required:
        - type
        - chain
        - address
      properties:
        type:
          type: string
          enum:
            - blockchain
        address:
          $ref: '#/components/schemas/Address'
        addressTag:
          $ref: '#/components/schemas/AddressTag'
        chain:
          $ref: '#/components/schemas/Chain'
    TransferDestinationAccountLocation:
      description: A destination account location.
      type: object
      required:
        - type
        - id
      properties:
        type:
          type: string
          enum:
            - account
        id:
          type: string
          description: The identifier of the destination account.
          example: '1000662322'
        address:
          type: string
          description: >
            The blockchain address associated with the destination account.
            Present when the transfer originates from a blockchain source (e.g.
            a crypto deposit).
          example: '0xecf270635e22f87b9d9ed501eca86e74caf59623'
        addressTag:
          $ref: '#/components/schemas/AddressTag'
    Chain:
      type: string
      description: A blockchain that a given currency is available on.
      enum:
        - ALGO
        - APTOS
        - ARB
        - AVAX
        - BASE
        - BTC
        - CELO
        - CODEX
        - ETH
        - HBAR
        - HYPEREVM
        - INK
        - LINEA
        - NEAR
        - NOBLE
        - OP
        - PLUME
        - PAH
        - POLY
        - SEI
        - SOL
        - SONIC
        - SUI
        - UNI
        - WORLDCHAIN
        - XDC
        - XLM
        - XRP
        - ZKS
        - ZKSYNC
    Address:
      type: string
      description: >
        An alphanumeric string representing a blockchain address. Formatting
        varies by blockchain.

        Be sure to preserve the exact formatting and capitalization of the
        address.
      example: '0x8381470ED67C3802402dbbFa0058E8871F017A6F'
    AddressTag:
      type: string
      description: >-
        The secondary identifier for a blockchain address. An example of this is
        the memo field on the Stellar network, which can be text, ID, or hash
        format.
      nullable: true
      example: '123456789'
  responses:
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: 4
            message: Unauthorized.
    InternalServerError:
      description: >-
        The server encountered an unexpected condition that prevented it from
        fulfilling the request.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: -1
            message: 'Something went wrong. errId: 1f0b0c455e40f753f07b4f0ae6abd4b4'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````